6.0.0-git
2019-03-24

[#12676] Free/Busy info not updated when change date using calendar icon
Summary Free/Busy info not updated when change date using calendar icon
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester almarin (at) um (dot) es
Created 2013-09-12 (2019 days ago)
Due
Updated 2014-02-10 (1868 days ago)
Assigned
Resolved 2014-01-08 (1901 days ago)
Milestone
Patch No

History
2014-02-10 16:46:16 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit e79d36340fe4ff4835031e8bc6f97162f496f693
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Jan 8 13:36:59 2014 -0500

     Fix updating of f/b information when date changes.

     Fixes updating freebusy information when changing date via either
     the textbox or date picker on new events before saving (both were broken),
     as well as via the date picker when editing existing events.

     Bug: 12676

  kronolith/js/kronolith.js |   47 
++++++++++++++++++++++-----------------------
  1 files changed, 23 insertions(+), 24 deletions(-)

http://git.horde.org/horde-git/-/commit/e79d36340fe4ff4835031e8bc6f97162f496f693
2014-01-08 18:42:12 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2014-01-08 18:40:39 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 3426076086f2bb0bd245a8c1503de46db82978df
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Jan 8 13:36:59 2014 -0500

     Fix updating of f/b information when date changes.

     Fixes updating freebusy information when changing date via either
     the textbox or date picker on new events before saving (both were broken),
     as well as via the date picker when editing existing events.

     Bug: 12676

  kronolith/js/kronolith.js |   47 
++++++++++++++++++++++-----------------------
  1 files changed, 23 insertions(+), 24 deletions(-)

http://git.horde.org/horde-git/-/commit/3426076086f2bb0bd245a8c1503de46db82978df
2013-10-04 14:21:53 lst_hoe02 (at) kwsoft (dot) de Comment #4 Reply to this comment
Can confirm this :-(
Typing in a new date does adjust/update the FB information, choosing a 
new date/time from the picker by mouse does nothing with FB information.
2013-09-13 07:24:08 almarin (at) um (dot) es Comment #3 Reply to this comment
Hi,

I don't mean a cache problem, it is rather a problem of javascript. 
For some reason, when you change the start date using the 
mini-calendar, it does not trigger the change event on the input, but 
if you edit the input field directly then it fires the change event 
and freebusy info is properly refreshed.
2013-09-12 14:28:40 cne (at) ruhrverband (dot) de Comment #2 Reply to this comment
I have had a similar problem. But when I deactivated the horde 
APC-driver, the freebusy-url was up to date.
2013-09-12 08:38:24 almarin (at) um (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Free/Busy info not updated when change date using calendar icon
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

When you are editing an event and you have some attendees, the 
free/busy info is not updated when you change the start date using the 
calendar icon. If you change the date directly using the input field, 
it works and the free/busy info is updated, but not using the calendar 
icon.


Saved Queries